/**
 *  Copyright 2011 Carsten Gräf
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */

package de.twenty11.skysail.common.filters;

import java.util.List;

/**
 * @author carsten
 * 
 */
abstract class AbstractFilter implements Filter {

    private static final long serialVersionUID = 3291022243439011956L;

    /** the type of the filter, e.g. AND. */
    private FilterType filterType;

    private String attribute;

    private String value;

    private List<Filter> subfilters;

    public String getAttribute() {
        return attribute;
    }

    public void setAttribute(String theAttribute) {
        this.attribute = theAttribute;
    }

    public FilterType getFilterType() {
        return filterType;
    }

    public void setFilterType(FilterType theFilterType) {
        this.filterType = theFilterType;
    }

    public void setValue(String theValue) {
        this.value = theValue;
    }

    public String getValue() {
        return value;
    }

    public void setSubfilters(List<Filter> theSubfilters) {
        this.subfilters = theSubfilters;
    }

    public List<Filter> getSubfilters() {
        return subfilters;
    }
}
