/**
 *  Copyright 2011 Carsten Gräf
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */

package de.twenty11.skysail.common.filters;

/**
 * see http://www.ietf.org/rfc/rfc1960.txt 2.)
 * @author carsten
 *
 */
public enum FilterType {

    AND, 
    OR, 
    NOT,
    EQUALITY_MATCH,      
    SUBSTRINGS,
    GREATER_OR_EQUAL,     
    LESS_OR_EQUAL,        
    PRESENT,
    APPROX_MATCH, /** not implemented (yet) */
    EMPTY /** additonal to rfc1960 to represent emtpy filter */
    
}
