/**
 *  Copyright 2011 Carsten Gräf
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 * 
 */

package de.twenty11.skysail.common.maps;

import java.util.HashMap;
import java.util.Map;

import org.codehaus.jackson.annotate.JsonIgnore;

import de.twenty11.skysail.common.SkysailData;

/**
 * A map-like data structure implementing the interface {@link SkysailData}.
 * 
 * 
 */
public class MapData implements SkysailData {

    /** serial number. */
    private static final long serialVersionUID = -1333792074749919182L;

    private Map<String, String> dictionary = new HashMap<String, String>();

    @Override
    @JsonIgnore
    public int getSize() {
        return dictionary.size();
    }

    public void put(String key, String value) {
        dictionary.put(key, value);
    }

    public String getValue(String key) {
        return dictionary.get(key);
    }

    public Map<String, String> getDictionary() {
        return dictionary;
    }

    public String toJson() {
        return "";
    }

}
